using ComputersShopContracts.BindingModels;
using ComputersShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.BusinessLogicContracts
{
	public interface IReportLogic
	{
		List<ReportComputerComponentViewModel> GetComputerComponents();

		List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);

		void SaveComputersToWordFile(ReportBindingModel model);

		void SaveComputerComponentToExcelFile(ReportBindingModel model);

		void SaveOrdersToPdfFile(ReportBindingModel model);
	}
}
